import Test from './components/test'

import config, { setOptions } from './utils/config'
import utils from './utils/mixins'

const components = {
    Test
}

components.install = (Vue, options = {}) => {
    // Options
    setOptions(Object.assign(config, options))

    for (const componentName in components) {
        const component = components[componentName]

        if (component && componentName !== 'install') {
            Vue.component(component.name, component)
        }
    }
}

export const mixins = utils

export default components
